---
name: Report
about: To help identify and reproduce issues
title: "[Issue]"
labels: bug, bug-needs-triage, qa
assignees: tommyv1987

---

**Describe the issue**
A clear and concise description of what the issue is...

**Expected behaviour**
A clear and concise description of what you expected to happen...

**Stack Traces**
If there are stack traces or logs, please provide them here...

**Steps to Reproduce**
Steps to reproduce the behaviour, if you're familiar with BDD syntax, please write it in this style:
- Given I was doing X
- And I installed Y
- When I actioned Y
- Then I expect Z

*An example:*
- Given I was setting up a mix-node following the instructions in the docs
- And I successfully bonded my node via the the wallet
- When I went to start my mixnode
- Then I was presented with an error

**Screenshots**
If applicable, add screenshots to help explain your problem...

**Which area of Nym were you using?**
 - UI: [e.g. Websites - network-explorer, nym-website]
 - Application: [e.g Gateway, Client, Wallet]
 - OS: [e.g. Ubuntu 20.x, MacOs Big Sur, Windows 10]
 - Browser: [e.g Chrome (if applicable)]
 - Version: [e.g. nym binary(0.11.0), browser(94.0)]

**Additional context**
Please provide any other information
